{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/imagein"
                },
                {
                    "type": "File",
                    "id": "#main/modelin"
                }
            ],
            "steps": [
                {
                    "run": "#orgaquant.cwl",
                    "scatter": [
                        "#main/orgaquant_step/image_path"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/imagein",
                            "id": "#main/orgaquant_step/image_path"
                        },
                        {
                            "source": "#main/modelin",
                            "id": "#main/orgaquant_step/model_path"
                        }
                    ],
                    "out": [
                        "#main/orgaquant_step/csv",
                        "#main/orgaquant_step/png"
                    ],
                    "id": "#main/orgaquant_step"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/orgaquant_step/csv",
                    "id": "#main/csv_result"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/orgaquant_step/png",
                    "id": "#main/image_result"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ajsenf/orgaquant:base",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "python",
            "arguments": [
                "/OrgaQuant/orgaquant-1-cwl.py"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-i"
                    },
                    "id": "#orgaquant.cwl/image_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-m"
                    },
                    "id": "#orgaquant.cwl/model_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.image_path.basename).csv"
                    },
                    "id": "#orgaquant.cwl/csv"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.image_path.basename)_detected.png"
                    },
                    "id": "#orgaquant.cwl/png"
                }
            ],
            "id": "#orgaquant.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
